VirtualBox Main API

Public Member Functions | Public Attributes | List of all members
IKeyboard Interface Reference

The IKeyboard interface represents the virtual machine's keyboard. More...

Inheritance diagram for IKeyboard:

## Public Member Functions
void | putScancode (in long scancode)
| Sends a scancode to the keyboard. More...
void | putScancodes (in long[] scancodes, [retval] out unsigned long codesStored)
| Sends an array of scancodes to the keyboard. More...
void | putCAD ()
| Sends the Ctrl-Alt-Del sequence to the keyboard. More...
void | releaseKeys ()
| Causes the virtual keyboard to release any keys which are currently pressed. More...

## Public Attributes
readonly attribute KeyboardLED [] | keyboardLEDs
| Current status of the guest keyboard LEDs. More...
readonly attribute IEventSource | eventSource
| Event source for keyboard events. More...

## Detailed Description

The IKeyboard interface represents the virtual machine's keyboard.

Used in IConsole::keyboard.

Use this interface to send keystrokes or the Ctrl-Alt-Del sequence to the virtual machine.

Interface ID:
  `{DA91D4C9-4C02-FDB1-C5AC-D89E22E81302}`

## Member Function Documentation

## ◆ putScancode()

void IKeyboard::putScancode | ( | in long | scancode | ) |

Sends a scancode to the keyboard.

Expected result codes:

  VBOX_E_IPRT_ERROR | Could not send scan code to virtual keyboard.

## ◆ putScancodes()

void IKeyboard::putScancodes | ( | in long [] | scancodes,
|  | [retval] out unsigned long | codesStored
| ) |  |

Sends an array of scancodes to the keyboard.

Expected result codes:

  VBOX_E_IPRT_ERROR | Could not send all scan codes to virtual keyboard.

## ◆ putCAD()

void IKeyboard::putCAD | ( |  | ) |

Sends the Ctrl-Alt-Del sequence to the keyboard.

This function is nothing special, it is just a convenience function calling IKeyboard::putScancodes with the proper scancodes.

Expected result codes:

  VBOX_E_IPRT_ERROR | Could not send all scan codes to virtual keyboard.

## ◆ releaseKeys()

void IKeyboard::releaseKeys | ( |  | ) |

Causes the virtual keyboard to release any keys which are currently pressed.

Useful when host and guest keyboard may be out of sync.

Expected result codes:

  VBOX_E_IPRT_ERROR | Could not release some or all keys.

## Member Data Documentation

## ◆ keyboardLEDs

readonly attribute KeyboardLED [] IKeyboard::keyboardLEDs

Current status of the guest keyboard LEDs.

## ◆ eventSource

readonly attribute IEventSource IKeyboard::eventSource

Event source for keyboard events.